Download it now!
Bug 137607 - Change Action Link to Execute .uno:ToolbarModeUI from ToTD to Be Less Technical
Summary: Change Action Link to Execute .uno:ToolbarModeUI from ToTD to Be Less Technical
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Tip-Of-The-Day
  Show dependency treegraph
 
Reported: 2020-10-19 23:13 UTC by Rizal Muttaqin
Modified: 2020-10-22 09:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-10-19 23:13:45 UTC
Created attachment 166487 [details]
New ToTD telling user ability to switch UI

As per tdf#117463 we now have a dialog for picking UI. Heiko has implemented also a link to tell user and give them a link to show the dialog from Tips of The Day. Unfortunately the action link text in ToTD should be changed to be something to less technical. Some of my idea:

"Change user interface"
"Change LibreOffice interface"

The tooltip also need to be changed. User does not need to know what kind of command they will execute. This "Execute the command .uno:ToolbarModeUI" seems likely will scary user. Some of my suggestion
 
"Change user interface from a range of choice"
"Run user interface changer dialog"

Version: 7.1.0.0.alpha0+
Build ID: 354080769f34207e3c850c61e62e8af346964463
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5
Locale: id-ID (id_ID.UTF-8); UI: id-ID
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-10-18_19:24:33
Calc: threaded
Comment 1 Heiko Tietze 2020-10-20 07:19:16 UTC
With the latest iteration [1] we just show the UNO command as tooltip because the used linkbutton takes the URI (typically http://...) as tooltip. Before that we had the generic tooltip "Execute the command %COMMAND" since UNO commands can be added to other tips as well. 
Second part of the discussion should be the shown label. It's right now "Run this action now...", also a generic string for all tips.

If we decide to use an individual tooltip per tip-of-the-day it needs to be stored with the tip itself making it far more complex than today, which is <text, uri, image>.

[1] https://gerrit.libreoffice.org/c/core/+/104358
Comment 2 Mike Kaganski 2020-10-20 07:24:30 UTC
From bug 117463 comment 58:

> given that the function added there is a very generic one (allowing to run
> arbitrary UNO command), there may be several ways to solve it:
> 
> * using a new translatable hint string in the TofD (a bas one IMO);
> * extracting the existing hint from the UNO command itself, something like
> in https://gerrit.libreoffice.org/c/core/+/85776.

Please never add duplicating strings until it's absolutely necessary. UNO commands already have textual information. Re-ising them as tooltips and/or link text is fine.

Note that the URL controls allow settings tooltips independently of the URLs.
Comment 3 Commit Notification 2020-10-22 09:51:34 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/31763e5af060f598c1699662adefe43f13d4db0e

Resolves tdf#137607 and tdf#137500 - Improvements to TotD

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.